Loading...
Searching...
No Matches
logger.cpp File Reference
`#include <boost/log/expressions/attr_fwd.hpp>`
`#include <boost/log/expressions/attr.hpp>`
`#include <boost/log/expressions/formatters/date_time.hpp>`
`#include <boost/log/keywords/channel.hpp>`
`#include <boost/log/sources/severity_channel_logger.hpp>`
`#include <boost/log/sources/record_ostream.hpp>`
`#include <boost/log/support/date_time.hpp>`
`#include <boost/log/utility/setup/console.hpp>`
`#include <boost/log/utility/setup/file.hpp>`
`#include <boost/log/utility/setup/common_attributes.hpp>`
`#include <lomiri/download_manager/download_struct.h>`
`#include <lomiri/download_manager/logging/logger.h>`
Include dependency graph for logger.cpp:

Go to the source code of this file.

## Namespaces

namespace | Lomiri
namespace | Lomiri::DownloadManager
namespace | Lomiri::DownloadManager::Logging

## Typedefs

typedef boost::log::sources::severity_channel_logger_mt< Lomiri::DownloadManager::Logging::Logger::Level, std::string > | logger_mt

## Typedef Documentation

## logger_mt

typedef boost::log::sources::severity_channel_logger_mt< Lomiri::DownloadManager::Logging::Logger::Level, std::string> logger_mt

Definition at line 35 of file logger.cpp.